import {flatGroup as $5OpyM$flatGroup, flatRollup as $5OpyM$flatRollup, ascending as $5OpyM$ascending, descending as $5OpyM$descending} from "d3";

function $parcel$exportWildcard(dest, source) {
  Object.keys(source).forEach(function(key) {
    if (key === 'default' || key === '__esModule' || dest.hasOwnProperty(key)) {
      return;
    }

    Object.defineProperty(dest, key, {
      enumerable: true,
      get: function get() {
        return source[key];
      }
    });
  });

  return dest;
}
function $parcel$export(e, n, v, s) {
  Object.defineProperty(e, n, {get: v, set: s, enumerable: true, configurable: true});
}
var $c583983051b0d65a$exports = {};
var $c3aabc4e7cf300dd$exports = {};

$parcel$export($c3aabc4e7cf300dd$exports, "model", () => $c3aabc4e7cf300dd$export$39a8f6bed6e94390);
function $24bd96b14778a414$export$53e1d82c551f6242(property) {
    return (a, b)=>a[property] - b[property];
}



const $e8e7ee17f8aa3370$export$977f3f6a9323c0f6 = (property)=>(obj)=>obj[property];


const $4dc3812ce0cc80f1$export$871de8747c9eaa88 = (f)=>(list)=>list.map(f);


const $4bab36e1000d5bf0$export$14e5864c491cc23c = (0, $4dc3812ce0cc80f1$export$871de8747c9eaa88)((0, $e8e7ee17f8aa3370$export$977f3f6a9323c0f6));



const $0747ceed5987d2a0$export$f672e0b6f7222cd7 = (f, g)=>(x)=>f(g(x));


const $ea1f872f1cd2699a$export$f0954fd7d5368655 = (x)=>x;


// prettier-ignore
const $b9c8d6c0fa59a6b4$export$c3095a23b368d1f2 = (func, ...args)=>(data)=>func(data, ...args);




const $7a2b15f7059f2e0a$export$9cd59f9826255e47 = (0, $0747ceed5987d2a0$export$f672e0b6f7222cd7)(JSON.parse, JSON.stringify);


function $71ef7223640aab62$export$1c1409961fd7b01d(data, ...groupProperties) {
    if (groupProperties.length > 0) return (0, $5OpyM$flatGroup)(data, ...(0, $4bab36e1000d5bf0$export$14e5864c491cc23c)(groupProperties));
    else return [
        [
            (0, $7a2b15f7059f2e0a$export$9cd59f9826255e47)(data)
        ]
    ];
}






// Adapated from linear-interpolator by F. Klee, https://github.com/feklee/linear-interpolator (MIT License)
function $8dd9998a48911168$export$bd68c74ae7364cc0(points, extrapolate = true) {
    const n = points.length - 1;
    if (points.length === 0) return ()=>{
        return 0;
    };
    if (points.length === 1) return ()=>{
        return points[0][1];
    };
    points = points.sort((a, b)=>{
        return a[0] - b[0];
    });
    const first = points[0];
    function leftExtrapolated(x) {
        const a = points[0];
        const b = points[1];
        return a[1] + (x - a[0]) * (b[1] - a[1]) / (b[0] - a[0]);
    }
    function interpolated(x, a, b) {
        return a[1] + (x - a[0]) * (b[1] - a[1]) / (b[0] - a[0]);
    }
    function rightExtrapolated(x) {
        const a = points[n - 1];
        const b = points[n];
        return b[1] + (x - b[0]) * (b[1] - a[1]) / (b[0] - a[0]);
    }
    return (x)=>{
        if (x < first[0]) return extrapolate ? leftExtrapolated(x) : null;
        for(let i = 0; i < n; i += 1){
            if (x >= points[i][0] && x <= points[i + 1][0]) return interpolated(x, points[i], points[i + 1]);
        }
        return extrapolate ? rightExtrapolated(x) : null;
    };
}




function $ad9f82a0b9dcac2f$export$1db8244ab969c6c6(obj1, obj2) {
    return JSON.stringify(obj1) === JSON.stringify(obj2);
}



function $e674f2262108f1e4$export$357523c63a2253b9(obj, ...properties) {
    const copy = {};
    properties.forEach((property)=>{
        if (property in obj) copy[property] = obj[property];
    });
    return copy;
}




function $6ca6be66a7afba24$export$9e9c458004ad16d(obj, ...properties) {
    const copy = (0, $7a2b15f7059f2e0a$export$9cd59f9826255e47)(obj);
    properties.forEach((property)=>{
        delete copy[property];
    });
    return copy;
}








function $2f342370d34bffd6$var$aggregate(v, listOfAggregators) {
    const obj = {};
    listOfAggregators.forEach((aggregator)=>{
        obj[aggregator.name] = aggregator.f(v);
    });
    return obj;
}
function $2f342370d34bffd6$var$mergeRolledUpList(list, keys) {
    const rollupObject = list[keys.length];
    const keysObject = {};
    keys.forEach((key, index)=>{
        keysObject[key] = list[index];
    });
    return {
        ...keysObject,
        ...rollupObject
    };
}
function $2f342370d34bffd6$export$99485c7503ba75ce(data, listOfAggregators, ...keys) {
    const curriedAggregators = (v)=>$2f342370d34bffd6$var$aggregate(v, listOfAggregators);
    const rolledUpData = (0, $5OpyM$flatRollup)(data, curriedAggregators, ...(0, $4bab36e1000d5bf0$export$14e5864c491cc23c)(keys));
    const listOfRowObjects = rolledUpData.map((element)=>$2f342370d34bffd6$var$mergeRolledUpList(element, keys));
    return listOfRowObjects;
}



function $6099d81edb438c37$export$5a2b32f8ca95aa14(table, name, func) {
    const newTable = (0, $7a2b15f7059f2e0a$export$9cd59f9826255e47)(table);
    function getRowAboveCurrentIndex(currentRowIndex, rowsAbove) {
        return newTable[currentRowIndex - rowsAbove];
    }
    newTable.forEach((row, index)=>{
        row[name] = func(row, (rowsAbove)=>{
            return getRowAboveCurrentIndex(index, rowsAbove);
        }, index);
    });
    return newTable;
}



function $a382a8cd1d00d328$export$ef8e9448c1507d02(table, ...variableNames) {
    return table.map((row)=>(0, $6ca6be66a7afba24$export$9e9c458004ad16d)(row, ...variableNames));
}


const $7ac1973a4a89e546$export$a56d6fc77d0c902 = (data, func)=>data.filter(func);



function $ed7c1348f69b8df5$export$3f063810d7bf01bd(data, ...groupProperties) {
    return (0, $71ef7223640aab62$export$1c1409961fd7b01d)(data, ...groupProperties).map((e)=>e[groupProperties.length]).flat();
}



function $a4f89eab4974548d$var$getSeriesFromObjectList(list, indexProperty, valueProperty) {
    return list.map((obj)=>[
            obj[indexProperty],
            obj[valueProperty]
        ]);
}
function $a4f89eab4974548d$var$isNullOrNaN(d) {
    return d === null || isNaN(d);
}
function $a4f89eab4974548d$var$removeBlanksFromSeries(series) {
    return series.filter((d)=>!$a4f89eab4974548d$var$isNullOrNaN(d[1]));
}
function $a4f89eab4974548d$var$interpolateGroup(group, indexProperty, interpolatedPropertyList, extrapolate) {
    const interpolators = interpolatedPropertyList.map((interpolatedProperty)=>(0, $8dd9998a48911168$export$bd68c74ae7364cc0)($a4f89eab4974548d$var$removeBlanksFromSeries($a4f89eab4974548d$var$getSeriesFromObjectList(group, indexProperty, interpolatedProperty)), extrapolate));
    return group.map((d)=>{
        const e = (0, $7a2b15f7059f2e0a$export$9cd59f9826255e47)(d);
        interpolatedPropertyList.forEach((interpolatedProperty, i)=>{
            const interpolator = interpolators[i];
            e[interpolatedProperty] = interpolator(e[indexProperty]);
        });
        return e;
    });
}
function $a4f89eab4974548d$export$89e29e4ab65e70a9(data, indexProperty, interpolatedPropertyList, extrapolate, ...groupProperties) {
    const groupedInterpolated = (0, $71ef7223640aab62$export$1c1409961fd7b01d)(data, ...groupProperties).map((d)=>$a4f89eab4974548d$var$interpolateGroup(d[groupProperties.length], indexProperty, interpolatedPropertyList, extrapolate));
    return groupedInterpolated.flat();
}


function $5b068070d1f2e91b$export$1cb664e8206fed67(left, right, matchProperty) {
    const result = [];
    left.forEach((leftRow)=>{
        const firstMatchingRightRow = right.find((rightRow)=>rightRow[matchProperty] == leftRow[matchProperty]);
        if (firstMatchingRightRow != undefined) result.push({
            ...leftRow,
            ...firstMatchingRightRow
        });
    });
    return result;
}


function $a1af2f95cf97d663$export$a72bb7792860c324(table1, table2) {
    return table1.slice(0, table2.length).map((x, i)=>{
        return {
            ...x,
            ...table2[i]
        };
    });
}



function $3d06a7badadfb6df$export$15b155fb1d66b4d9(table, ...variableNames) {
    return table.map((row)=>(0, $e674f2262108f1e4$export$357523c63a2253b9)(row, ...variableNames));
}



function $8fc7e32fe44d1de4$export$2d11ccb133d345(table, variableName, value) {
    const newTable = (0, $7a2b15f7059f2e0a$export$9cd59f9826255e47)(table);
    newTable.forEach((row)=>{
        row[variableName] = value;
    });
    return newTable;
}



function $05ebd0d4e9ec15f3$var$compareAscending(a, b, key) {
    const comparator = key.ascending ? (0, $5OpyM$ascending) : (0, $5OpyM$descending);
    return comparator(a[key.property], b[key.property]);
}
function $05ebd0d4e9ec15f3$var$compareKeys(a, b, ...keys) {
    let cmp = NaN;
    if (keys.length > 0) keys.forEach((key)=>{
        cmp = cmp || $05ebd0d4e9ec15f3$var$compareAscending(a, b, key);
    });
    return cmp;
}
function $05ebd0d4e9ec15f3$export$c7d3d1f96a700512(data, ...keys) {
    return data.slice().sort((a, b)=>$05ebd0d4e9ec15f3$var$compareKeys(a, b, ...keys));
}


function $8b200281302e93cc$export$b6e14acba5e7576(data, observations, descriptor, quantity) {
    const nestedArray = [];
    observations.forEach((keyToKeep)=>{
        const tidyGroup = data.map((originalObj)=>{
            const obj = Object.assign({}, originalObj);
            observations.forEach((key)=>{
                if (key != keyToKeep) delete obj[key];
            });
            const valueToKeep = obj[keyToKeep];
            delete obj[keyToKeep];
            obj[descriptor] = keyToKeep;
            obj[quantity] = valueToKeep;
            return obj;
        });
        nestedArray.push(tidyGroup);
    });
    return nestedArray.flat();
}





// prettier-ignore
function $4f4eb8f6c6496edf$export$779e5843ede6849b(name, f) {
    this.name = name;
    this.f = f;
}


function $43801bd1662ab3d3$export$6cd7657bb02c7bec(property, ascending) {
    this.property = property;
    this.ascending = ascending;
}
function $43801bd1662ab3d3$export$fa098705e457aec3(property, ascending = true) {
    return new $43801bd1662ab3d3$export$6cd7657bb02c7bec(property, ascending);
}




const $d05eb5da51a37273$export$cc68c48b0365b43e = {
    does (f) {
        this.f = f;
        return this;
    },
    called (name) {
        this.name = name;
        return this;
    },
    end () {
        return this.parent._addAggregator(new (0, $4f4eb8f6c6496edf$export$779e5843ede6849b)(this.name, this.f));
    }
};


const $c1be8ea0fdea89d7$export$74a9dddc01bfbcbb = {
    end () {
        return this.parent;
    }
};


function $9bb51b83b82dc62b$export$c26c8fa24591b782(parent) {
    this.parent = parent;
}
Object.assign($9bb51b83b82dc62b$export$c26c8fa24591b782.prototype, (0, $c1be8ea0fdea89d7$export$74a9dddc01bfbcbb));



function $f875b230cbc74c4e$export$777d1ba8b5ddbfe1(...args) {
    this.f = (0, $ea1f872f1cd2699a$export$f0954fd7d5368655);
    (0, $9bb51b83b82dc62b$export$c26c8fa24591b782).call(this, ...args);
}
$f875b230cbc74c4e$export$777d1ba8b5ddbfe1.prototype = Object.create((0, $9bb51b83b82dc62b$export$c26c8fa24591b782).prototype, {
    constructor: {
        value: $f875b230cbc74c4e$export$777d1ba8b5ddbfe1
    }
});
Object.assign($f875b230cbc74c4e$export$777d1ba8b5ddbfe1.prototype, (0, $d05eb5da51a37273$export$cc68c48b0365b43e));


// prettier-ignore
const $63d694e2f4257ecb$var$transform = (aggregators, ...keys)=>(data)=>(0, $2f342370d34bffd6$export$99485c7503ba75ce)(data, aggregators, ...keys);
const $63d694e2f4257ecb$export$bb49c335f05dd89d = {
    add () {
        return new (0, $f875b230cbc74c4e$export$777d1ba8b5ddbfe1)(this);
    },
    groupBy (...keys) {
        this.keys = keys;
        return this;
    },
    _addAggregator (aggregator) {
        this.aggregators.push(aggregator);
        return this;
    },
    _do () {
        return $63d694e2f4257ecb$var$transform(this.aggregators, ...this.keys);
    }
};



const $fabba88be98a72f4$export$9bf5bc3a3bd17b30 = {
    end () {
        return this.makeModel((0, $0747ceed5987d2a0$export$f672e0b6f7222cd7)(this._do(), this.model));
    },
    _do () {
        return 0, $ea1f872f1cd2699a$export$f0954fd7d5368655;
    }
};


function $c77502cd6a89167a$export$f75e4297694ec637(model, makeModel) {
    this.model = model;
    this.makeModel = makeModel;
}
Object.assign($c77502cd6a89167a$export$f75e4297694ec637.prototype, (0, $fabba88be98a72f4$export$9bf5bc3a3bd17b30));


function $6342f2c01d5f50c6$export$47a30ec3eec97ee0(...args) {
    this.aggregators = [];
    this.keys = [
        null
    ];
    (0, $c77502cd6a89167a$export$f75e4297694ec637).call(this, ...args);
}
$6342f2c01d5f50c6$export$47a30ec3eec97ee0.prototype = Object.create((0, $c77502cd6a89167a$export$f75e4297694ec637).prototype, {
    constructor: {
        value: $6342f2c01d5f50c6$export$47a30ec3eec97ee0
    }
});
Object.assign($6342f2c01d5f50c6$export$47a30ec3eec97ee0.prototype, (0, $63d694e2f4257ecb$export$bb49c335f05dd89d));



const $e0d4d14940015432$var$transform = (name, func)=>(data)=>(0, $6099d81edb438c37$export$5a2b32f8ca95aa14)(data, name, func);
const $e0d4d14940015432$export$962f67d6a1823b74 = {
    called (name) {
        this.name = name;
        return this;
    },
    does (f) {
        this.f = f;
        return this;
    },
    _do () {
        return $e0d4d14940015432$var$transform(this.name, this.f);
    }
};




function $747f0ef26089d85d$export$622501309846807a(...args) {
    this.f = (0, $ea1f872f1cd2699a$export$f0954fd7d5368655);
    (0, $c77502cd6a89167a$export$f75e4297694ec637).call(this, ...args);
}
$747f0ef26089d85d$export$622501309846807a.prototype = Object.create((0, $c77502cd6a89167a$export$f75e4297694ec637).prototype, {
    constructor: {
        value: $747f0ef26089d85d$export$622501309846807a
    }
});
Object.assign($747f0ef26089d85d$export$622501309846807a.prototype, (0, $e0d4d14940015432$export$962f67d6a1823b74));



// prettier-ignore
const $0032fa5a20e4f873$var$transform = (indexProperty, interpolatedProperty, extrapolate, ...groupProperties)=>(data)=>(0, $a4f89eab4974548d$export$89e29e4ab65e70a9)(data, indexProperty, interpolatedProperty, extrapolate, ...groupProperties);
const $0032fa5a20e4f873$export$c634daa6b590140b = {
    y (...y) {
        this.interpolatedPropertyList = y;
        return this;
    },
    x (x) {
        this.indexProperty = x;
        return this;
    },
    groupBy (...groupProperties) {
        this.groupProperties = groupProperties;
        return this;
    },
    noExtrap () {
        this.extrapolate = false;
        return this;
    },
    _do () {
        return $0032fa5a20e4f873$var$transform(this.indexProperty, this.interpolatedPropertyList, this.extrapolate, ...this.groupProperties);
    }
};



function $fbcc76e6371945bf$export$4b0e549e7c113cd(...args) {
    this.interpolatedPropertyList = [];
    this.extrapolate = true;
    (0, $c77502cd6a89167a$export$f75e4297694ec637).call(this, ...args);
}
$fbcc76e6371945bf$export$4b0e549e7c113cd.prototype = Object.create((0, $c77502cd6a89167a$export$f75e4297694ec637).prototype, {
    constructor: {
        value: $fbcc76e6371945bf$export$4b0e549e7c113cd
    }
});
Object.assign($fbcc76e6371945bf$export$4b0e549e7c113cd.prototype, (0, $0032fa5a20e4f873$export$c634daa6b590140b));



const $d9118e53e014c21b$var$transform = (incoming, property)=>(data)=>(0, $5b068070d1f2e91b$export$1cb664e8206fed67)(data, incoming, property);
const $d9118e53e014c21b$export$ea7a3fe3a39ee4a8 = {
    with (incoming) {
        this.incoming = incoming;
        return this;
    },
    match (property) {
        this.property = property;
        return this;
    },
    _do () {
        return $d9118e53e014c21b$var$transform(this.incoming, this.property);
    }
};




function $f5733cf7a5e5eceb$export$8cba6d7ecf078c24(...args) {
    this.f = (0, $ea1f872f1cd2699a$export$f0954fd7d5368655);
    (0, $c77502cd6a89167a$export$f75e4297694ec637).call(this, ...args);
}
$f5733cf7a5e5eceb$export$8cba6d7ecf078c24.prototype = Object.create((0, $c77502cd6a89167a$export$f75e4297694ec637).prototype, {
    constructor: {
        value: $f5733cf7a5e5eceb$export$8cba6d7ecf078c24
    }
});
Object.assign($f5733cf7a5e5eceb$export$8cba6d7ecf078c24.prototype, (0, $d9118e53e014c21b$export$ea7a3fe3a39ee4a8));



const $12acc69984baec0b$var$transform = (name, value)=>(data)=>(0, $8fc7e32fe44d1de4$export$2d11ccb133d345)(data, name, value);
const $12acc69984baec0b$export$60f309db09b71675 = {
    called (name) {
        this.name = name;
        return this;
    },
    value (varValue) {
        this.varValue = varValue;
        return this;
    },
    _do () {
        return $12acc69984baec0b$var$transform(this.name, this.varValue);
    }
};



function $9abc299ae6a88718$export$9bb04964022a468(...args) {
    this.varValue = null;
    (0, $c77502cd6a89167a$export$f75e4297694ec637).call(this, ...args);
}
$9abc299ae6a88718$export$9bb04964022a468.prototype = Object.create((0, $c77502cd6a89167a$export$f75e4297694ec637).prototype, {
    constructor: {
        value: $9abc299ae6a88718$export$9bb04964022a468
    }
});
Object.assign($9abc299ae6a88718$export$9bb04964022a468.prototype, (0, $12acc69984baec0b$export$60f309db09b71675));




// prettier-ignore
const $b5ce1c4b0a709672$var$transform = (...sortKeys)=>(data)=>(0, $05ebd0d4e9ec15f3$export$c7d3d1f96a700512)(data, ...sortKeys);
const $b5ce1c4b0a709672$export$94eba92d3fb2efc5 = {
    inc (property) {
        this.sortKeyList.push((0, $43801bd1662ab3d3$export$fa098705e457aec3)(property, true));
        return this;
    },
    dec (property) {
        this.sortKeyList.push((0, $43801bd1662ab3d3$export$fa098705e457aec3)(property, false));
        return this;
    },
    _do () {
        return $b5ce1c4b0a709672$var$transform(...this.sortKeyList);
    }
};



function $b14a6d35d936e0f9$export$cb3d8c7bfaf01ed9(...args) {
    this.sortKeyList = [];
    (0, $c77502cd6a89167a$export$f75e4297694ec637).call(this, ...args);
}
$b14a6d35d936e0f9$export$cb3d8c7bfaf01ed9.prototype = Object.create((0, $c77502cd6a89167a$export$f75e4297694ec637).prototype, {
    constructor: {
        value: $b14a6d35d936e0f9$export$cb3d8c7bfaf01ed9
    }
});
Object.assign($b14a6d35d936e0f9$export$cb3d8c7bfaf01ed9.prototype, (0, $b5ce1c4b0a709672$export$94eba92d3fb2efc5));



const $6e778587fb3cb4a2$var$transform = (observations, descriptor, quantity)=>(data)=>(0, $8b200281302e93cc$export$b6e14acba5e7576)(data, observations, descriptor, quantity);
const $6e778587fb3cb4a2$export$29f93708db2ffaa5 = {
    collapse (...observationKeys) {
        this.observations = observationKeys;
        return this;
    },
    to (descriptor) {
        this.descriptor = descriptor;
        return this;
    },
    quantity (quantity) {
        this.q = quantity;
        return this;
    },
    _do () {
        return $6e778587fb3cb4a2$var$transform(this.observations, this.descriptor, this.q);
    }
};



function $d8228fe6017298db$export$7fd38927009d83b0(...args) {
    this.observations = [];
    (0, $c77502cd6a89167a$export$f75e4297694ec637).call(this, ...args);
}
$d8228fe6017298db$export$7fd38927009d83b0.prototype = Object.create((0, $c77502cd6a89167a$export$f75e4297694ec637).prototype, {
    constructor: {
        value: $d8228fe6017298db$export$7fd38927009d83b0
    }
});
Object.assign($d8228fe6017298db$export$7fd38927009d83b0.prototype, (0, $6e778587fb3cb4a2$export$29f93708db2ffaa5));




function $c3aabc4e7cf300dd$var$Model(data) {
    this.data = data;
}
function $c3aabc4e7cf300dd$var$transformModel(model, transform, ...args) {
    return new $c3aabc4e7cf300dd$var$Model((0, $0747ceed5987d2a0$export$f672e0b6f7222cd7)((0, $b9c8d6c0fa59a6b4$export$c3095a23b368d1f2)(transform, ...args), model));
}
const $c3aabc4e7cf300dd$var$modelPrototype = {
    add (subsequentModel) {
        return new $c3aabc4e7cf300dd$var$Model((0, $0747ceed5987d2a0$export$f672e0b6f7222cd7)(subsequentModel.data, this.data));
    },
    calc () {
        return new (0, $747f0ef26089d85d$export$622501309846807a)(this.data, $c3aabc4e7cf300dd$var$modelmaker);
    },
    const () {
        return new (0, $9abc299ae6a88718$export$9bb04964022a468)(this.data, $c3aabc4e7cf300dd$var$modelmaker);
    },
    drop (...args) {
        return $c3aabc4e7cf300dd$var$transformModel(this.data, (0, $a382a8cd1d00d328$export$ef8e9448c1507d02), ...args);
    },
    filter (arg) {
        return $c3aabc4e7cf300dd$var$transformModel(this.data, (0, $7ac1973a4a89e546$export$a56d6fc77d0c902), arg);
    },
    group (...args) {
        return $c3aabc4e7cf300dd$var$transformModel(this.data, (0, $ed7c1348f69b8df5$export$3f063810d7bf01bd), ...args);
    },
    interp () {
        return new (0, $fbcc76e6371945bf$export$4b0e549e7c113cd)(this.data, $c3aabc4e7cf300dd$var$modelmaker);
    },
    knit () {
        return new (0, $f5733cf7a5e5eceb$export$8cba6d7ecf078c24)(this.data, $c3aabc4e7cf300dd$var$modelmaker);
    },
    merge (arg) {
        return $c3aabc4e7cf300dd$var$transformModel(this.data, (0, $a1af2f95cf97d663$export$a72bb7792860c324), arg);
    },
    reduce () {
        return new (0, $6342f2c01d5f50c6$export$47a30ec3eec97ee0)(this.data, $c3aabc4e7cf300dd$var$modelmaker);
    },
    select (...args) {
        return $c3aabc4e7cf300dd$var$transformModel(this.data, (0, $3d06a7badadfb6df$export$15b155fb1d66b4d9), ...args);
    },
    sort () {
        return new (0, $b14a6d35d936e0f9$export$cb3d8c7bfaf01ed9)(this.data, $c3aabc4e7cf300dd$var$modelmaker);
    },
    tidy () {
        return new (0, $d8228fe6017298db$export$7fd38927009d83b0)(this.data, $c3aabc4e7cf300dd$var$modelmaker);
    },
    transform (transform) {
        return $c3aabc4e7cf300dd$var$transformModel(this.data, transform);
    }
};
Object.assign($c3aabc4e7cf300dd$var$Model.prototype, $c3aabc4e7cf300dd$var$modelPrototype);
function $c3aabc4e7cf300dd$var$modelmaker(f) {
    return new $c3aabc4e7cf300dd$var$Model(f);
}
const $c3aabc4e7cf300dd$export$39a8f6bed6e94390 = ()=>$c3aabc4e7cf300dd$var$modelmaker((0, $ea1f872f1cd2699a$export$f0954fd7d5368655));


$parcel$exportWildcard($c583983051b0d65a$exports, $c3aabc4e7cf300dd$exports);




export {$c3aabc4e7cf300dd$export$39a8f6bed6e94390 as model};
//# sourceMappingURL=module.js.map
